## ros-dashing-apex-containers 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(apex_containers)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

include_directories(include)

set(apex_containers_sources
    include/apex_containers/memory/common.hpp
    include/apex_containers/forward_list.hpp
    include/apex_containers/list.hpp
    include/apex_containers/map.hpp
    include/apex_containers/set.hpp
    include/apex_containers/static_vector.hpp
    include/apex_containers/string.hpp
    include/apexutils/apexdef.h
    include/apexutils/apex_string.h
    include/apexutils/visibility_control.h
    include/apex_containers/unordered_map.hpp
    include/apex_containers/unordered_set.hpp
    include/apex_containers/visibility_control.hpp
    src/string/to_string.cpp
    src/apex_string.c)

set_source_files_properties(${apex_containers_sources} PROPERTIES language "CXX")
add_library(${PROJECT_NAME} SHARED ${apex_containers_sources})
target_compile_options(${PROJECT_NAME} PRIVATE
  -Wall
  -Werror
  -Wextra
  -pedantic
  -Wcast-align
  -Wunused
  -Wconversion
  -Wsign-conversion
  -Wdouble-promotion
  -fvisibility=hidden)
  # C++-only options
target_compile_options(${PROJECT_NAME}
  PRIVATE $<$<COMPILE_LANGUAGE:CXX>: -Woverloaded-virtual -Wold-style-cast>)

ament_target_dependencies(${PROJECT_NAME}
    foonathan_memory_vendor)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()

  find_package(osrf_testing_tools_cpp REQUIRED)
  osrf_testing_tools_cpp_require_googletest(VERSION_GTE 1.8)  # ensures target gtest_main exists

  add_executable(test_apex_containers_gtest
    test/test_main.cpp
    test/apex_containers/test_shared_ptr.cpp
    test/apex_containers/test_static_allocators_vectors.cpp
    test/apex_containers/test_static_allocators_basic.cpp
    test/apex_containers/test_static_vector_snippets.cpp
    test/string/test_string.cpp
    test/string/test_string_strict.cpp
    test/string/test_to_string.cpp)
  target_link_libraries(test_apex_containers_gtest
    ${PROJECT_NAME}
    gtest_main
    osrf_testing_tools_cpp::memory_tools
  )
  get_target_property(extra_env_vars
    osrf_testing_tools_cpp::memory_tools LIBRARY_PRELOAD_ENVIRONMENT_VARIABLE)
  osrf_testing_tools_cpp_add_test(test_apex_containers
    COMMAND "$<TARGET_FILE:test_apex_containers_gtest>"
    ENV ${extra_env_vars}
  )
endif()

list(APPEND ${PROJECT_NAME}_LIBRARIES
  "${PROJECT_NAME}"
)

ament_auto_package()

=== debian/changelog ===
ros-dashing-apex-containers (0.0.2-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Apex.AI, Inc. <opensource@apex.ai>  Tue, 03 Mar 2020 11:20:04 -0000

=== debian/control ===
Source: ros-dashing-apex-containers
Section: misc
Priority: optional
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-auto, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-foonathan-memory-vendor, ros-dashing-osrf-testing-tools-cpp, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-apex-containers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-foonathan-memory-vendor, ros-dashing-ros-workspace
Description: Containers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-apex-containers//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
